> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger a transaction fetch for an open banking account

> Queues a transaction fetch for the account, starting at the last successful access. The fetch runs asynchronously. Fetches are rate limited per account (EBICS: 15 minutes, other providers: 6 hours) to protect the quotas of the banking providers.

<sup>Required permissions: `open-banking:fetch-transactions`</sup>



## OpenAPI

````yaml post /api/open-banking-accounts/{id}/fetch-transactions
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /api/open-banking-accounts/{id}/fetch-transactions:
    parameters: []
    post:
      tags:
        - Open Banking
      summary: Trigger a transaction fetch for an open banking account
      description: >-
        Queues a transaction fetch for the account, starting at the last
        successful access. The fetch runs asynchronously. Fetches are rate
        limited per account (EBICS: 15 minutes, other providers: 6 hours) to
        protect the quotas of the banking providers.


        <sup>Required permissions: `open-banking:fetch-transactions`</sup>
      operationId: fetchOpenBankingAccountTransactions
      parameters:
        - name: id
          in: path
          description: OpenBankingAccount identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      requestBody:
        description: ''
        content: {}
        required: false
      responses:
        '202':
          description: The transaction fetch was queued
          content:
            application/json:
              schema:
                type: object
                properties:
                  accountId:
                    type: string
                    description: Id of the open banking account the fetch was triggered for
                  lastAccessedAt:
                    type: string
                    format: date-time
                    nullable: true
                    description: >-
                      The last time the system accessed the account. Null when
                      the account was never fetched
        '403':
          description: >-
            Missing permission, the `bank-account-transaction.manual-fetch`
            feature is not enabled for this organisation, or the account is an
            EBICS account and the EBICS feature is not enabled
        '404':
          description: Resource not found
        '409':
          description: The account is not linked
        '422':
          description: The provider of this account does not support fetching transactions
        '429':
          description: The account was fetched recently, the cooldown has not elapsed yet
      deprecated: false
      security:
        - JWT:
            - open-banking:fetch-transactions
components:
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````